We're here to help!

Unable to start APPLY process after upgrading the target to 12.2

Follow

Read our docs This article explains how to workaround a issue pertaining to Oracle (12.2) as target in replicate. 

Problem Details

Problem Statement

Unable to start APPLY process after upgrading the target from 12.1 to 12.2

Applicable Error Code

ERR-11: Could not connect as dbvrep to database dbvisit_us, error is ORA-28040: No matching authentication protocol (DBD ERROR: OCISessionBegin)
FATAL-9216: Not starting APPLY, could not connect to database.

Affected Versions

All Replicate Version and Database Version 12.2

Affected Platforms

Platform Independent

 
Problem Description

The target database (APPLY) was upgraded from 12.1 to 12.2 , Changed the TNS_ADMIN to new location , but still get the below error while trying to start the APPLY process.

 

DDC file /u01/app/oracle/acfsmounts/acfs_dbvisit/dallas/dallas-APPLY.ddc loaded. 
Starting process APPLY...-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- 
Connect to database dbvrep@dbvisit_us failed with error ORA-28040: No matching authentication protocol. 
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- 
ERR-11: Could not connect as dbvrep to database dbvisit_us, error is ORA-28040: No matching authentication protocol (DBD ERROR: OCISessionBegin) 
FATAL-9216: Not starting APPLY, could not connect to database.

The reason for the error is that replicate software has a built-in Oracle InstaClient which is of version 11.1 does not work with 12.2 oracle binaries, We user 11.1 since this is the last supported version to connect to 9i.

Solution

There is a workaround to avoid this error for now. Set the parameter SQLNET.ALLOWED_LOGON_VERSION in SQLNET.ora file in the target database to 11 , would allow connections to the APPLY process via the InstaClient software.

Note: Oracle 12.2 is not yet supported on the latest replicate version 2.8.04 , either as source or target. The above article is just a workaround only for target(Apply) in Oracle 12.2.

Check the below link for the supported platforms and database versions(12.2 would be added to the matrix once we start supporting):

https://dbvisit.atlassian.net/wiki/display/ugd8/Supported+Platforms

 

Have more questions? Submit a request

Comments